Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthias Sohn2011-06-17 18:07:07 -0400
committerMatthias Sohn2011-06-17 18:47:55 -0400
commit2e34ed10d4cf041062a3ac95592c5d698cf14aa1 (patch)
tree41193a49ce09296a676875b3d27ce25fa1c021ef /org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
parent5d946bd5ed0c37880f2945f770dac03331b59f2e (diff)
downloadegit-github-2e34ed10d4cf041062a3ac95592c5d698cf14aa1.tar.gz
egit-github-2e34ed10d4cf041062a3ac95592c5d698cf14aa1.tar.xz
egit-github-2e34ed10d4cf041062a3ac95592c5d698cf14aa1.zip
Fix dependencies to use proper version ranges
This enables running the bundles across platform versions starting from Eclipse 3.5. Change-Id: I4781244581d4093f8c8b31d88de790f19d59a9a0 Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
Diffstat (limited to 'org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF')
-rw-r--r--org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF22
1 files changed, 11 insertions, 11 deletions
diff --git a/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF b/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
index b5d4df90..b6fd96dd 100644
--- a/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.mylyn.github.tests/META-INF/MANIFEST.MF
@@ -4,16 +4,16 @@ Bundle-Name: Eclipse EGit Mylyn GitHub Tests
Bundle-SymbolicName: org.eclipse.mylyn.github.tests
Bundle-Version: 1.0.0.qualifier
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.mylyn.github.core;bundle-version="1.0.0",
- org.eclipse.mylyn.github.ui;bundle-version="1.0.0",
- org.eclipse.jface.text;bundle-version="3.5.0",
- org.eclipse.mylyn.tasks.ui;bundle-version="3.2.0",
+Require-Bundle: org.eclipse.mylyn.github.core;bundle-version="[1.0.0,1.1.0)",
+ org.eclipse.mylyn.github.ui;bundle-version="[1.0.0,1.1.0)",
+ org.eclipse.jface.text;bundle-version="[3.5.0,4.0.0)",
+ org.eclipse.mylyn.tasks.ui;bundle-version="[3.2.0,4.0.0)",
org.eclipse.mylyn.tasks.core,
- org.eclipse.core.runtime;bundle-version="3.5.0",
- org.junit;bundle-version="4.8.1",
- org.hamcrest;bundle-version="1.1.0",
- org.objenesis;bundle-version="1.0.0"
+ org.eclipse.core.runtime;bundle-version="[3.5.0,4.0.0)",
+ org.junit;bundle-version="[4.8.1,5.0.0)",
+ org.hamcrest;bundle-version="[1.1.0,2.0.0)",
+ org.objenesis;bundle-version="[1.0.0,2.0.0)"
Bundle-Vendor: Eclipse EGit
-Import-Package: org.mockito;version="1.8.4",
- org.mockito.runners;version="1.8.4",
- org.mockito.stubbing;version="1.8.4"
+Import-Package: org.mockito;version="[1.8.4,2.0.0)",
+ org.mockito.runners;version="[1.8.4,2.0.0)",
+ org.mockito.stubbing;version="[1.8.4,2.0.0)"

Back to the top